package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.mongodb.core.mapping.DBRef;


/**
 * @author  	chenken
 * @date    	2017年8月10日 下午2:25:53
 * @company 	QMTH
 * @description 音频播放次数设置
 */
public class AudioTimeConfig implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3346664494126413527L;
	private String id;
	/**
	 * 考试ID
	 */
	private String examId;
	/**
	 * 考试名称
	 */
	private String examName;
	
	/**
	 * 课程ID
	 */
	private String courseCode;
	/**
     * 关联试卷
     */
    @DBRef
    private Paper paper;
    /**
     * 试卷类型 ：调卷规则中的groupCode
     */
    private String groupCode;
    /**
     * 关联题目
     */
    @DBRef
    private PaperDetailUnit paperDetailUnit;
    /**
     * 播放次数
     */
    private Integer playTime;
    
    private Date createDate;
    
    private String createUser;
    
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getExamId() {
		return examId;
	}
	public void setExamId(String examId) {
		this.examId = examId;
	}
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public Paper getPaper() {
		return paper;
	}
	public void setPaper(Paper paper) {
		this.paper = paper;
	}
	public PaperDetailUnit getPaperDetailUnit() {
		return paperDetailUnit;
	}
	public void setPaperDetailUnit(PaperDetailUnit paperDetailUnit) {
		this.paperDetailUnit = paperDetailUnit;
	}
	public Integer getPlayTime() {
		return playTime;
	}
	public void setPlayTime(Integer playTime) {
		this.playTime = playTime;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getCreateUser() {
		return createUser;
	}
	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}
	public String getGroupCode() {
		return groupCode;
	}
	public void setGroupCode(String groupCode) {
		this.groupCode = groupCode;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
}

